=== debian/changelog ===
ros-galactic-vda5050-connector (1.1.1-2focal) focal; urgency=high

  * Fixed ROS buildfarm job (#29 <https://github.com/inorbit-ai/ros_amr_interop/issues/29>)

 -- Leandro Pineda <leandro@inorbit.ai>  Fri, 28 Oct 2022 03:00:00 -0000

ros-galactic-vda5050-connector (1.1.0-2focal) focal; urgency=high

  * Added VDA5050 connector package (#28 <https://github.com/inorbit-ai/ros_amr_interop/issues/28>)

 -- Leandro Pineda <leandro@inorbit.ai>  Mon, 17 Oct 2022 03:00:00 -0000
